# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['sampo',
 'sampo.generator',
 'sampo.generator.config',
 'sampo.generator.environment',
 'sampo.generator.pipeline',
 'sampo.native',
 'sampo.pipeline',
 'sampo.scheduler',
 'sampo.scheduler.genetic',
 'sampo.scheduler.heft',
 'sampo.scheduler.multi_agency',
 'sampo.scheduler.resource',
 'sampo.scheduler.resources_in_time',
 'sampo.scheduler.selection',
 'sampo.scheduler.timeline',
 'sampo.scheduler.topological',
 'sampo.scheduler.utils',
 'sampo.schemas',
 'sampo.structurator',
 'sampo.userinput',
 'sampo.userinput.parser',
 'sampo.utilities',
 'sampo.utilities.sampler',
 'sampo.utilities.visualization']

package_data = \
{'': ['*'],
 'sampo.native': ['cmake-build-release/.cmake/api/v1/query/*',
                  'cmake-build-release/.cmake/api/v1/reply/*',
                  'cmake-build-release/.ninja_deps',
                  'cmake-build-release/.ninja_deps',
                  'cmake-build-release/.ninja_deps',
                  'cmake-build-release/.ninja_deps',
                  'cmake-build-release/.ninja_deps',
                  'cmake-build-release/.ninja_deps',
                  'cmake-build-release/.ninja_deps',
                  'cmake-build-release/.ninja_deps',
                  'cmake-build-release/.ninja_deps',
                  'cmake-build-release/.ninja_log',
                  'cmake-build-release/.ninja_log',
                  'cmake-build-release/.ninja_log',
                  'cmake-build-release/.ninja_log',
                  'cmake-build-release/.ninja_log',
                  'cmake-build-release/.ninja_log',
                  'cmake-build-release/.ninja_log',
                  'cmake-build-release/.ninja_log',
                  'cmake-build-release/.ninja_log',
                  'cmake-build-release/CMakeCache.txt',
                  'cmake-build-release/CMakeCache.txt',
                  'cmake-build-release/CMakeCache.txt',
                  'cmake-build-release/CMakeCache.txt',
                  'cmake-build-release/CMakeCache.txt',
                  'cmake-build-release/CMakeCache.txt',
                  'cmake-build-release/CMakeCache.txt',
                  'cmake-build-release/CMakeCache.txt',
                  'cmake-build-release/CMakeCache.txt',
                  'cmake-build-release/CMakeFiles/*',
                  'cmake-build-release/CMakeFiles/3.24.2/*',
                  'cmake-build-release/CMakeFiles/3.24.2/CompilerIdCXX/*',
                  'cmake-build-release/CMakeFiles/FindOpenMP/*',
                  'cmake-build-release/CMakeFiles/ShowIncludes/*',
                  'cmake-build-release/CMakeFiles/native.dir/*',
                  'cmake-build-release/CMakeFiles/native.dir/utils/*',
                  'cmake-build-release/Testing/Temporary/*',
                  'cmake-build-release/build.ninja',
                  'cmake-build-release/build.ninja',
                  'cmake-build-release/build.ninja',
                  'cmake-build-release/build.ninja',
                  'cmake-build-release/build.ninja',
                  'cmake-build-release/build.ninja',
                  'cmake-build-release/build.ninja',
                  'cmake-build-release/build.ninja',
                  'cmake-build-release/build.ninja',
                  'cmake-build-release/cmake_install.cmake',
                  'cmake-build-release/cmake_install.cmake',
                  'cmake-build-release/cmake_install.cmake',
                  'cmake-build-release/cmake_install.cmake',
                  'cmake-build-release/cmake_install.cmake',
                  'cmake-build-release/cmake_install.cmake',
                  'cmake-build-release/cmake_install.cmake',
                  'cmake-build-release/cmake_install.cmake',
                  'cmake-build-release/cmake_install.cmake',
                  'cmake-build-release/libnative.dll.a',
                  'cmake-build-release/libnative.dll.a',
                  'cmake-build-release/libnative.dll.a',
                  'cmake-build-release/libnative.dll.a',
                  'cmake-build-release/libnative.dll.a',
                  'cmake-build-release/libnative.dll.a',
                  'cmake-build-release/libnative.dll.a',
                  'cmake-build-release/libnative.dll.a',
                  'cmake-build-release/libnative.dll.a',
                  'cmake-build-release/native.exe',
                  'cmake-build-release/native.exe',
                  'cmake-build-release/native.exe',
                  'cmake-build-release/native.exe',
                  'cmake-build-release/native.exe',
                  'cmake-build-release/native.exe',
                  'cmake-build-release/native.exe',
                  'cmake-build-release/native.exe',
                  'cmake-build-release/native.exe',
                  'cmake-build-release/native.exp',
                  'cmake-build-release/native.exp',
                  'cmake-build-release/native.exp',
                  'cmake-build-release/native.exp',
                  'cmake-build-release/native.exp',
                  'cmake-build-release/native.exp',
                  'cmake-build-release/native.exp',
                  'cmake-build-release/native.exp',
                  'cmake-build-release/native.exp',
                  'cmake-build-release/native.lib',
                  'cmake-build-release/native.lib',
                  'cmake-build-release/native.lib',
                  'cmake-build-release/native.lib',
                  'cmake-build-release/native.lib',
                  'cmake-build-release/native.lib',
                  'cmake-build-release/native.lib',
                  'cmake-build-release/native.lib',
                  'cmake-build-release/native.lib',
                  'timeEstimatorLibrary/*',
                  'timeEstimatorLibrary/Unix/*',
                  'timeEstimatorLibrary/Windows/*',
                  'utils/*']}

install_requires = \
['deap>=1.3.3,<1.4.0',
 'matplotlib>=3.6.2,<3.7.0',
 'numpy>=1.23.5',
 'pandas>=2.0.0',
 'plotly>=5.17.0,<5.18.0',
 'pytest>=7.2.0,<7.3.0',
 'scipy>=1.9.3,<1.10.0',
 'seaborn>=0.12.1,<0.13.0',
 'sortedcontainers>=2.4.0,<2.5.0',
 'toposort>=1.7,<2.0']

setup_kwargs = {
    'name': 'sampo',
    'version': '0.1.1.298',
    'description': 'Open-source framework for adaptive manufacturing processes scheduling',
    'long_description': 'None',
    'author': 'iAirLab',
    'author_email': 'iairlab@yandex.ru',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.10,<3.11',
}


setup(**setup_kwargs)
